diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index eee15d4..9c91867 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -9326,10 +9326,9 @@ User Level Required:  interpreter
  
 Command Syntax: 
  
-  -  )describe operations opName
-  -  )describe category   catName
-  -  )describe domain     domName
-  -  )describe package    packName
+  -  )describe categoryName
+  -  )describe domainName
+  -  )describe packageName
  
 Command Description: 
  
@@ -9338,36 +9337,11 @@ domain or package. The comments are part of the algebra source code.
  
 The command
  
-)describe operations opName
- 
-shows comments from each instance of an operation name. For instance,
-
-)describe op sqrt
-
-will show
-
-Description of sqrt from FortranExpression
-
-sqrt(x) represents the Fortran intrinsic function SQRT
-
-Description of sqrt from PAdicIntegerCategory
-
-sqrt(b,a) returns a square root of b. Argument a is a square root of b (mod p).
-
-Description of sqrt from RadicalCategory
-
-sqrt(x) returns the square root of x.
-
-Description of sqrt from RealClosedField
-
-sqrt(x) is x ** (1/2)
-
- 
 The commands
  
-)describe category catName
-)describe domain   domName  internal
-)describe package  packName internal
+)describe <categoryName>
+)describe <domainName>  [internal]
+)describe <packageName> [internal]
  
 will show a properly formatted version of the "Description:" keyword
 from the comments in the algebra source for the category, domain,
@@ -9431,10 +9405,9 @@ in the Category, Domain, or Package source code.
  (let ((|$e| |$EmptyEnvironment|) (opt (second l)))
   (declare (special |$e| |$EmptyEnvironment| $describeOptions))
   (if (and (pairp l) (not (eq opt '?)))
-    (case (|selectOptionLC| (first l) $describeOptions '|optionError|)
-     (|category|   (describeInternal opt nil))
-     (|domain|     (describeInternal opt (third l)))
-     (|package|    (describeInternal opt (third l))))
+   (if (eq (getdatabase (first l) 'constructorkind) '|category|)
+    (describeInternal (first l) nil)
+    (describeInternal (first l) (second l)))
    (|sayMessage|
     (append 
      '("  )describe keyword arguments are")
diff --git a/changelog b/changelog
index ceda4a3..23cacd7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,12 @@
+20091217 tpd src/axiom-website/patches.html 20091217.02.tpd.patch
+20091217 tpd books/bookvol5 )describe no longer needs cat, dom, pkg arg
+20091217 tpd src/axiom-website/patches.html 20091217.01.tpd.patch
+20091217 tpd books/bookvol10.3 rewrite doublefloat to use typed macros
+20091217 tpd books/bookvol5 add doublefloat trig macros
+20091217 tpd src/input/Makefile add dftrig.input
+20091217 tpd src/input/dftrig.input unit test doublefloat trig changes
+20091217 tpd src/interp/vmlisp.lisp move trig functions to bookvol5
+20091217 tpd revert changes after 1204 due to bad build
 20091204 tpd src/axiom-website/patches.html 20091204.03.tpd.patch
 20091204 tpd books/bookvol10.2 latex cleanup
 20091204 tpd src/axiom-website/patches.html 20091204.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e03a067..63a03c0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2308,5 +2308,9 @@ src/axiom-website/download.html add nov2009 builds <br/>
 src/axiom-website/download.html add fedora10 nov2009 build <br/>
 <a href="patches/20091204.03.tpd.patch">20091204.03.tpd.patch</a>
 books/bookvol10.2 latex cleanup<br/>
+<a href="patches/20091217.01.tpd.patch">20091217.01.tpd.patch</a>
+books/bookvol10.3 rewrite doublefloat to use typed macros<br/>
+<a href="patches/20091217.02.tpd.patch">20091217.02.tpd.patch</a>
+books/bookvol5 )describe no longer needs cat, dom, pkg arg<br/>
  </body>
 </html>
